<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen" />

<style>
	.homeBanner {
		position: relative;
		width: 66%;
		height: 369px;
		border-radius: 5px;
		border: none;
		overflow: hidden;
	}
	.count-scroll{
		height: 34% !important;
    overflow: auto!important;
	}
	/* .traveller-modal .modal-content{
  margin-top:0px!important;
} */
	/* .banner-flex .search-area{
		width: 71% !important;
	} */
	
</style>
<!-- <div ng-include="'views/timeloader.html'"></div> -->

<!-- <div class="banner-flex"> -->
	<link rel="stylesheet" href="../styles.css" />
<div class="artloader" id = "load" style="display:none">
  <div class="cssload-container">
      <div class="cssload-tube-tunnel">
          <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
      </div>
      <!-- <div class="loadingdata"><p>Please Wait we are processing your action....</p></div> -->
  </div>
</div>
<div class="search-area curvedCorner">
	<div class="search-bg">
		<img src="assets/bird.png" />
	</div>
	<div class="tab-content search-content">
		<div id="flightSearch" class="tab-pane fadein active" ng-controller="hotelSearchCtrl">
			<form id="hotelSearchfrom" ng-submit="hotelsSearchForm(hotelSearch.$valid)">
				<div id="searchScroll">
					<div class="textleft row">
						<div class="col-md-12 textleft">
							<div class="form-group">
								<span class="size10"><b>Destination City</b></span>
								<div ng-class="{'has-error' :hotelSearch.search.$invalid && submitted}">
									<span role="status" aria-live="polite"
										class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
									<input ng-model="hotelSearch.city" type="text" id="from_city" required=""
										name="from_city" autocomplete="off"
										class="form-control ui-autocomplete-input valid" placeholder="Destination City"
										autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');"/>
									<!-- <div ng-class="{'has-error' :hotelSearch.search.$invalid && submitted}">
							<input id="search" name="search" ng-model="hotelSearch.place" placeholder="Destination City" autocomplete="off"
								type="text" class="form-control mb15" required autofocus /> -->
								</div>
							</div>
						</div>
					</div>
					<div class="textleft row">
						<div class="col-md-6 textleft">
							<div class="form-group">
								<span class="size10"><b>Check In</b></span>
								<div ng-class="{'has-error' :hotelSearch.checkIn.$invalid && submitted}">
									<input  id="checkIn" datepicker-popup is-open="true"  ng-selected="calcnit()"
										name="checkIn" class="form-control date-picker mb15 date-input" autocomplete="off"
										date-range-picker options="flightop" ng-model="hotelSearch.checkIn"
										placeholder="Check In" required="" autofocus />
								</div>
							</div>
						</div>
						<div class="col-md-6 textleft">
							<div class="form-group">
								<span class="size10"><b>Check Out</b></span>
								<span ng-if="nights>0" class="ni8c">({{nights}} Nights)</span>

								<div ng-class="{'has-error' :hotelSearch.checkOut.$invalid && submitted}">
									<input   id="checkOut"  datepicker-popup is-open="true" ng-selected="calcnit()"
										class="form-control date-picker mb15" ng-min="hotelSearch.checkIn"
										name="checkOut" ng-model="hotelSearch.checkOut" placeholder="Check Out"
										autocomplete="off" date-range-picker options="checkoutdate" required=""
										autofocus />
								</div>
							</div>
						</div>
					</div>
					<div class="textleft row">
						<div class="col-md-6 textleft">
							<div class="form-group">
								<span class="size10"><b>Residence Country</b></span>
								<div ng-class="{'has-error' :hotelSearch.country.$invalid && submitted}">
									<select name="country" id="country"
										class="form-control mb15 ng-pristine ng-untouched ng-valid"
										ng-model="hotelSearch.countryOfResidence" required>
										<option value="">Country of residence</option>
										<option value="{{country.code}}" ng-repeat="country in countryList">
											{{country.name}}</option>
									</select>
								</div>
							</div>
						</div>
						<div class="col-md-6 textleft">
							<div class="form-group">
								<span class="size10"><b>Nationality</b></span>
								<div ng-class="{'has-error' :hotelSearch.nationality.$invalid && submitted}">
									<select name="nationality" id="nationality"
										class="form-control mb15 ng-pristine ng-untouched ng-valid"
										ng-model="hotelSearch.nationality" required>
										<option value="">Nationality</option>
										<option value="{{nationality.code}}" ng-repeat="nationality in nationalityList">
											{{nationality.name}}</option>

									</select>
								</div>
							</div>
						</div>
					</div>
					<div class="textleft row pb-5 count-scroll">
						<div class="col-md-4 ">
							<div class="form-group">
								<span class="size10"><b>Room</b></span>
								<div ng-class="{'has-error' :room.$invalid && submitted}">

									<select class="form-control input-sm mb15" name="room" id="room" ng-model="room"
										ng-change="roomAvailanceInput()" ng-options="room for room in roomCount">
									</select>

								</div>
							</div>
						</div>

						<div class="col-md-8">
							<div class="adult-row" ng-repeat="room in hotelSearch.roomBean">
								<div class="form-group">
									<span class="size10"><b>Room</b></span>
									<div ng-class="{'has-error' :room.roomno{{$index}}.$invalid && submitted}">
										<input id="roomno{{$index}}" readonly name="roomno{{$index}}"
											ng-model="room.roomno" autocomplete="off" type="text"
											class="form-control mb15" required autofocus value="9" />
									</div>
								</div>
								<div class="form-group">
									<span class="size10"><b>Adult</b></span>
									<div ng-class="{'has-error' :room.adultCount{{$index}}.$invalid && submitted}">
										<select class="form-control mb15 " name="adultCount{{$index}}"
											id="adultCount{{$index}}" ng-model="room.adultCount">
											<option>1</option>
											<option>2</option>
											<option>3</option>
											<option>4</option>
										</select>
									</div>
								</div>
								<div class="form-group">
									<span class="size10"><b>Child</b></span>
									<div ng-class="{'has-error' :room.childCount{{$index}}.$invalid && submitted}">
										<select class="form-control mb15" name="childCount{{$index}}"
											id="childCount{{$index}}" ng-model="room.childCount"
											ng-change="childAgeIteration($index,room.childCount)">
											<option value=0>0</option>
											<option value=1>1</option>
											<option value=2>2</option>
										</select>
									</div>
								</div>
								<div class="form-group">
									<div ng-repeat="singlechild in room.childrens[0].childBeans">
										<span class="size10"><b>Child Age</b></span>
										<div ng-class="{'has-error' :singlechild.age{{$index}}.$invalid && submitted}">
											<select class="form-control mb15" name="age{{$index}}" id="age{{$index}}"
												ng-model="singlechild.age">
												<option value=1>1</option>
												<option value=2>2</option>
												<option value=3>3</option>
												<option value=4>4</option>
												<option value=5>5</option>
												<option value=6>6</option>
												<option value="7">7</option>
												<option value="8">8</option>
												<option value="9">9</option>
												<option value="10">10</option>
												><option value="11">11</option>
												>
												<!-- <option value="12">12</option>
												><option value="13">13</option>
												><option value="14">14</option>
												><option value="15">15</option>
												><option value="16">16</option>
												><option value="17">17</option>
												><option value="18">18</option> -->
											</select>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
				<div class="textleft row home-search-btn-section">
					<div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">
						<button type="submit" id="flight-search" class="btn btn-lg custom-search-btn">
							SEARCH
						</button>
					</div>
				</div>

			</form>
		</div>


	</div>
</div>
<!--Banner Inner content-->

	<iframe src="bannercms.html" height="760px" width="100%" style="border:none; overflow:hidden;"  id="bannerimgid" title="Iframe Example"></iframe>

<style>


	.ni8c{
		color: white;
    font-weight: 600;
    float: right;
	}
	.form-control {
		color: black !important;
	}

	.custom-search-btn {
		background: linear-gradient(#d91718, #d91718) !important;
		border: 1px solid #d91718 !important;
		font-family: "Montserrat", sans-serif !important;
		font-size: 13px !important;
		font-weight: 700 !important;
		color: #fff !important;
		margin-top: 12px !important;
	}

	@media (max-width:500px) {
		.custom-search-btn {
			margin-top: -21px !important;
        }
    }

	input::placeholder {
		font-size: 12px !important;
	}

	input::placeholder {
		font-size: 13px !important;
	}

	select:required:invalid {
		font-size: 13px !important;
	}

	option[value=""][disabled] {
		display: none;
	}

	option {
		font-size: 15px !important;
	}

	.btn:hover {
		color: black !important;
		background-color: red !important
	}



	.daterangepicker table {
		width: 100% !important;
		margin: 0 !important;
		font-size: 12px !important;
	}

	.btn-success {
		color: #fff !important;
		background-color: red !important;
		border-color: red !important;
	}

	.remove-trip-btn:hover {
		background-color: #2195c3 !important;

	}

	.add-trip-btn:hover {
		background-color: #2195c3 !important;
	}

	.daterangepicker.dropdown-menu {
		max-width: 493px !important;
		z-index: 3000 !important;
	}

	.daterangepicker.dropdown-menu.single {
		max-width: fit-content !important;
	}
</style>
